/*
 * PgVecFld_IP.java
 *
 * Created on January 8, 2005, 11:08 AM
 */

package GrapherODE;

import java.awt.*;

import java.awt.event.ItemEvent;
import java.awt.event.ItemListener;
import jv.object.PsDebug;
import jv.object.PsPanel;
import jv.object.PsUpdateIf;
import jv.project.PgGeometryIf;
/**
 *
 * @author David
 */
public class PgVecFld_IP extends PsPanel implements ItemListener {
    protected	PgVecFld               m_PgVecFld;
    protected   Checkbox               m_cSclVecs;         
    
    /** Creates a new instance of PgVecFld_IP */
    public PgVecFld_IP() {
        super();
        if (getClass() == PgVecFld_IP.class) {
            init();
        }
    }
    
    public void init() {
		super.init();
                m_cSclVecs = new Checkbox("Scale Vecs to One Length");
                m_cSclVecs.addItemListener(this);
                add(m_cSclVecs);
                
    }
    
    public void setParent(PsUpdateIf parent) {
		super.setParent(parent);
 		m_PgVecFld = (PgVecFld)parent;
                
                add(m_PgVecFld.m_discr.assureInspector(PsPanel.INFO, PsPanel.INFO_EXT));
                add(m_PgVecFld.m_veclength.assureInspector(PsPanel.INFO, PsPanel.INFO_EXT));

        }
    public boolean update(Object event) {
		return super.update(event);
    }
    
    public void itemStateChanged(ItemEvent event) {
		Object source = event.getSource();
                if (source == m_cSclVecs) {
                    m_PgVecFld.m_isSclVecs = m_cSclVecs.getState();
                    m_PgVecFld.computeVf();
                    m_PgVecFld.update(m_PgVecFld);
                }
    }
        
}
